Bug 216015

Summary: www/webkit-qt4: fails to build with clang 4.0
Product: Ports & Packages Reporter: Jan Beich <jbeich>
Component: Individual Port(s)Assignee: freebsd-kde (Team) <kde>
Status: Closed FIXED    
Severity: Affects Only Me Keywords: needs-patch
Priority: --- Flags: jbeich: maintainer-feedback? (kde)
Version: Latest   
Hardware: Any   
OS: Any   
See Also: https://bugs.webkit.org/show_bug.cgi?id=83584
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=215861
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216016
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216019
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216046
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216051
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216052
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216056
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216058
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216072
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216074
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216075
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216076
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216159
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216176
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216194
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216197
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216198
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216199
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216200
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216203
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216206
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216211
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216213
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216214
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216215
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216216
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216217
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216218
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216221
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216222
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216227
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216228
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216233
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216234
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216235
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216253
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216354
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216355
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216356
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216357
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216358
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216615
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216617
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216618
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216619
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216620
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216621
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216622
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216623
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216624
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216626
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216627
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216629
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216630
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216631
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216632
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216633
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216634
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216635
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216636
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216637
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216638
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216639
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216640
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216641
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=216642
Bug Depends on:    
Bug Blocks: 216008    
Attachments:
Description Flags
v0 none

Description Jan Beich freebsd_committer 2017-01-13 07:40:43 UTC
html/HTMLImageElement.cpp:77:24: error: ordered comparison between pointer and zero ('const int *' and 'int')
    if (optionalHeight > 0)
        ~~~~~~~~~~~~~~ ^ ~

build log: http://sprunge.us/XIbJ
regressed by: https://github.com/llvm-mirror/clang/commit/4b6ad14285f3
Comment 2 commit-hook freebsd_committer 2017-01-17 14:38:58 UTC
A commit references this bug:

Author: jbeich
Date: Tue Jan 17 14:37:56 UTC 2017
New revision: 431742
URL: https://svnweb.freebsd.org/changeset/ports/431742

Log:
  www/webkit-qt4: unbreak with clang 4.0

  html/HTMLImageElement.cpp:77:24: error: ordered comparison between pointer and zero ('const int *' and 'int')
      if (optionalHeight > 0)
          ~~~~~~~~~~~~~~ ^ ~

  PR:		216015
  Regressed by:	https://github.com/llvm-mirror/clang/commit/4b6ad14285f3
  Obtained from:	upstream (excerpt)
  Approved by:	portmgr blanket

Changes:
  head/www/webkit-qt4/files/patch-src_3rdparty_webkit_Source_WebCore_html_HTMLImageElement.cpp
Comment 3 commit-hook freebsd_committer 2017-01-19 05:23:42 UTC
A commit references this bug:

Author: jbeich
Date: Thu Jan 19 05:23:15 UTC 2017
New revision: 431846
URL: https://svnweb.freebsd.org/changeset/ports/431846

Log:
  MFH: r431742

  www/webkit-qt4: unbreak with clang 4.0

  html/HTMLImageElement.cpp:77:24: error: ordered comparison between pointer and zero ('const int *' and 'int')
      if (optionalHeight > 0)
          ~~~~~~~~~~~~~~ ^ ~

  PR:		216015
  Regressed by:	https://github.com/llvm-mirror/clang/commit/4b6ad14285f3
  Obtained from:	upstream (excerpt)
  Approved by:	portmgr blanket
  Approved by:	ports-secteam blanket

Changes:
_U  branches/2017Q1/
  branches/2017Q1/www/webkit-qt4/files/patch-src_3rdparty_webkit_Source_WebCore_html_HTMLImageElement.cpp
Comment 4 commit-hook freebsd_committer 2017-02-01 05:30:20 UTC
A commit references this bug:

Author: jbeich
Date: Wed Feb  1 05:29:19 UTC 2017
New revision: 432987
URL: https://svnweb.freebsd.org/changeset/ports/432987

Log:
  graphics/copperspice: unbreak with clang 4.0

  ../3rdparty/webkit/Source/WebCore/html/HTMLImageElement.cpp:77:24: error: ordered comparison between pointer and zero ('const int *' and 'int')
      if (optionalHeight > 0)
          ~~~~~~~~~~~~~~ ^ ~

  PR:		216015
  Reported by:	antoine (via exp-run)
  Obtained from:	upstream (excerpt)

Changes:
  head/graphics/copperspice/files/patch-src_3rdparty_webkit_Source_WebCore_html_HTMLImageElement.cpp